Skip to main content
Permissions

Request a list of API permissions

List all defined API permissions.

GET
/gb/api/permissions

This method requires the ApiPermissions:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
permissionstringquery

Optional Permission

This field supports the wildcard % operator.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9\:]+$
access_typeenum<string>query

Optional Access Type

Available options: internal, external
Maximum string length: 8

Response

application/vnd.catch-e-api.v1+json

Success

itemsstring[]